﻿using Orchard.Mvc.Routes;
using System.Collections.Generic;
using System.Web.Mvc;
using System.Web.Routing;

namespace Ati.Blogs
{
    public class Routes : IRouteProvider
    {
        public void GetRoutes(ICollection<RouteDescriptor> routes)
        {
            foreach (var routeDescriptor in GetRoutes())
                routes.Add(routeDescriptor);
        }

        public IEnumerable<RouteDescriptor> GetRoutes()
        {
            return new[] {                                                      
                            new RouteDescriptor {
                                    Priority = 20,
                                    Route = new Route(                                        
                                        "{blogSlug}/author/{contentAuthor}",
                                        new RouteValueDictionary {
                                                                    {"area", "Ati.Blogs"},
                                                                    {"controller", "BlogPost"},
                                                                    {"action", "Author"}
                                                                },
                                        new RouteValueDictionary(),
                                        new RouteValueDictionary {
                                                                    {"area", "Ati.Blogs"}
                                                                },
                                        new MvcRouteHandler())
                             },                             
                         };
        }
    }
}